summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFran├žois Andriot <albator78@libertysurf.fr>2013-09-09 21:52:09 +0200
committerFran├žois Andriot <albator78@libertysurf.fr>2013-09-09 21:52:09 +0200
commitd27e5e6838cded96c7f11370af49a74f5bab0aa8 (patch)
treea537a0cc462fd94d3f52f82766dbbce7c3f9b8a4
parent301b2ea35ee6a1aa9bc2a06cdefecc1d4e5a88e1 (diff)
downloadtde-packaging-d27e5e6838cded96c7f11370af49a74f5bab0aa8.tar.gz
tde-packaging-d27e5e6838cded96c7f11370af49a74f5bab0aa8.zip
RPM Packaging: update 3.5.13.2
-rwxr-xr-xredhat/buildall-sru.sh26
-rw-r--r--redhat/tdeaddons/tdeaddons-3.5.13.2.spec2
-rw-r--r--redhat/tdebindings/tdebindings-3.5.13.2.spec3
3 files changed, 27 insertions, 4 deletions
diff --git a/redhat/buildall-sru.sh b/redhat/buildall-sru.sh
index 9ca791375..ce114202b 100755
--- a/redhat/buildall-sru.sh
+++ b/redhat/buildall-sru.sh
@@ -8,6 +8,7 @@ grp='./genrpm.sh -v 3.5.13.2 -a'
BUILDDIR="/dev/shm/BUILD${DIST}.$(uname -i)"
BUILDROOTDIR="/dev/shm/BUILDROOT${DIST}.$(uname -i)"
DIST="$(rpm -E %{dist})"
+LIB="$(rpm -E %_lib)"
if [ -x /usr/sbin/urpmi ]; then
PKGMGR="urpmi"
@@ -92,6 +93,8 @@ grpiud() {
if ! rpm -q libqt3-devel &>/dev/null && ! rpm -q lib64qt3-devel &>/dev/null && ! rpm -q qt3-devel &>/dev/null; then
if [ -r /etc/SuSE-release ]; then
pushd ../opensuse/core
+ elif [ -r /etc/mandriva-release ]; then
+ pushd ../mageia
else
pushd .
fi
@@ -100,6 +103,27 @@ if ! rpm -q libqt3-devel &>/dev/null && ! rpm -q lib64qt3-devel &>/dev/null && !
popd
fi
+# Extra dependencies
+grpiud extras/akode
+
+if [ "${DIST:0:6}" = ".oss12" ] || [ "${DIST:0:4}" = ".mga" ] || [ "${DIST:0:3}" = ".fc" ]; then
+ if ! is_installed trinity-hal-devel; then
+ grpiu 3rdparty/hal
+ grpiu 3rdparty/hal-info
+ eval ${PKGINST} trinity-hal-devel || exit 1
+ fi
+fi
+if [ "${DIST:0:4}" = ".mga" ]; then
+ if ! is_installed ${LIB}esound-devel; then
+ grpiu 3rdparty/esound
+ eval ${PKGINST} esound-devel || exit 1
+ fi
+ if ! is_installed htdig; then
+ grpiu 3rdparty/htdig
+ eval ${PKGINST} htdig || exit 1
+ fi
+fi
+
# TDE dependencies
grpiud dependencies/tqtinterface
grpiud dependencies/arts
@@ -111,8 +135,6 @@ grpiud dependencies/libcarddav
grpiud dependencies/tqca
grpiui dependencies/tqca-tls
-# Extra dependencies
-grpiud extras/akode
# TDE main
# basic packages
diff --git a/redhat/tdeaddons/tdeaddons-3.5.13.2.spec b/redhat/tdeaddons/tdeaddons-3.5.13.2.spec
index 47256ca84..1df1d2a0b 100644
--- a/redhat/tdeaddons/tdeaddons-3.5.13.2.spec
+++ b/redhat/tdeaddons/tdeaddons-3.5.13.2.spec
@@ -377,7 +377,7 @@ Requires: %{_lib}jpeg8
%if 0%{?rhel} || 0%{?fedora}
Requires: libjpeg
%endif
-%if 0%{?suse_version} >= 1220
+%if 0%{?suse_version} == 1220
Requires: libjpeg62
%endif
%if 0%{?pclinuxos}
diff --git a/redhat/tdebindings/tdebindings-3.5.13.2.spec b/redhat/tdebindings/tdebindings-3.5.13.2.spec
index 6e553c754..f1720ec42 100644
--- a/redhat/tdebindings/tdebindings-3.5.13.2.spec
+++ b/redhat/tdebindings/tdebindings-3.5.13.2.spec
@@ -1027,6 +1027,7 @@ fi
EXTRA_INCLUDES="/usr/include/ruby-%{rb20_ver}:/usr/include/ruby-%{rb20_ver}/%{_target}"
%endif
+# Do NOT remove "%{_includedir}/tqt" from extra-includes !!!
%configure \
--prefix=%{tde_prefix} \
--exec-prefix=%{tde_prefix} \
@@ -1044,7 +1045,7 @@ EXTRA_INCLUDES="/usr/include/ruby-%{rb20_ver}:/usr/include/ruby-%{rb20_ver}/%{_t
--enable-closure \
--enable-rpath \
\
- --with-extra-includes=%{_includedir}/tqscintilla:${EXTRA_INCLUDES} \
+ --with-extra-includes=%{_includedir}/tqt:${EXTRA_INCLUDES} \
--with-extra-libs=%{tde_libdir} \
--with-pythondir=%{_usr} \
\